Package: org.codehaus.groovy.grails.web.sitemesh

## [Java] Class FactoryHolder

- org.codehaus.groovy.grails.web.sitemesh.FactoryHolder

- Holds a reference to the Sitemesh Factory object.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static com.opensymphony.module.sitemesh.Factory` | `getFactory()`
    `static com.opensymphony.module.sitemesh.Factory` | `getSitemeshFactory()`
    `static void` | `setFactory(com.opensymphony.module.sitemesh.Factory factory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static com.opensymphony.module.sitemesh.Factory getFactory()

    - #### public static com.opensymphony.module.sitemesh.Factory getSitemeshFactory()

    - #### public static void setFactory(com.opensymphony.module.sitemesh.Factory factory)